*,
::after,
::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  border: 0 solid #d9d9e3;
  font-family: "Poppins", sans-serif;
}

html {
  height: 100vh;
}

body {
  background-color: #f9f9f9;
  color: #323232;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  gap: 2rem;
}

#chat-container {
  height: 85%;
  overflow: scroll;
  scroll-behavior: smooth;
}

h1 {
  font-size: 3.5rem;
  color: #ff323c;
  position: absolute;
  text-align: center;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.chat-message {
  display: flex;
  justify-content: center;
  line-height: 1.75rem;
  gap: 1.5rem;
  border-bottom: 1px solid #ccc;
  padding: 1.5em;
}

.chat-message:nth-child(even) {
  background-color: #f2f2f2;
}

.cursor {
  display: inline-block;
  width: 0.4rem;
  height: 1rem;
  background-color: #323232;
  animation: blink 0.8s infinite;
}

@keyframes blink {
  50% {
    opacity: 0;
  }
}

.chat-icon {
  height: 2rem;
  width: 2rem;
}

.chat-message p {
  flex-basis: 50%;
  display: flex;
  align-items: center;
}

#input-container {
  position: fixed;
  bottom: 60px;
  width: 100%;
  display: flex;
  justify-content: center;
}

#input-container-inner {
  position: relative;
  display: flex;
  align-items: center;
  width: 90%;
  padding: 10px;
}

#message-input {
  resize: none;
  height: 65px;
  max-height: 200px;
  width: 100%;
  padding: 20px;
  font-size: 16px;
  border-radius: 10px;
  box-shadow: 0px 2px 5px #0000001a;
}

#message-input:focus {
  outline: none;
}

#send-button {
  background-color: transparent;
  cursor: pointer;
  outline: none;
  position: absolute;
  right: 20px;
}

#send-icon {
  display: block;
  width: 20px;
  height: 20px;
  fill: #00000080;
}

#loader {
  display: none;
  position: absolute;
  right: 20px;
  top: 50%;
  transform: translateY(-50%);
}

.loader-dot {
  display: inline-block;
  width: 5px;
  height: 5px;
  border-radius: 50%;
  background-color: #00000080;
  animation: loader-dot 1s infinite ease-in-out;
}

.loader-dot-1 {
  animation-delay: 0s;
}

.loader-dot-2 {
  animation-delay: 0.2s;
}

.loader-dot-3 {
  animation-delay: 0.4s;
}

@keyframes loader-dot {
  0%,
  80%,
  100% {
    transform: scale(0);
  }
  40% {
    transform: scale(1);
  }
}

#scroll-to-bottom {
  position: fixed;
  bottom: 145px;
  right: 20px;
  display: none;
  background: #fff;
  border: none;
  outline: none;
  cursor: pointer;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  box-shadow: 0px 2px 5px #0000001a;
}

#scroll-to-bottom svg {
  width: 100%;
  height: 100%;
  fill: #00000080;
}

#scroll-to-bottom:hover svg,
#send-button:hover svg {
  fill: #ff323c;
}

footer {
  background-image: linear-gradient(180deg, #ffffff00 0%, #fff 35.73%);
  padding: 1.75rem;
  text-align: center;
  color: #00000080;
  font-size: 0.75rem;
}

a {
  color: inherit;
}
